! This tests the primlab1 macro for the Primitives Lab 1
!
! Author:  Neon Ngo
! Version: $Id: test_primlab1.mm,v 1.1 2007/07/25 19:04:37 ntn Exp $
!
startmacro
  switch INTERACTIVE interAct GET DEF=TRUE  SDEF=TRUE
  switch BASELINE    baseline GET DEF=FALSE SDEF=TRUE

  if interAct then
    res inst "Verify the EXPECTED OUTPUT against the ACTUAL OUTPUT."

    pipe on
      panel/msgid=MAIN/setup/controls=gc
      gcontrol text idtext "Instructions" "^inst" 24 4 /title
      gcontrol menu main "Exit with Status = " "PASS,FAIL" /tleft
      set gc.main.itemColors {PASS=GREEN,FAIL=RED}

      shellgui/attach
      say ""
      say "EXPECTED OUTPUT:"
      say "INFO: inside open() [PRIMLAB1]"
      say "INFO: inside process() count=1 [PRIMLAB1]"
      say "INFO: inside process() count=2 [PRIMLAB1]"
      say "INFO: inside process() count=3 [PRIMLAB1]"
      say "..."
      say "INFO: inside process() count=18 [PRIMLAB1]"
      say "INFO: inside process() count=19 [PRIMLAB1]"
      say "INFO: inside process() count=20 [PRIMLAB1]"
      say "INFO: inside close() [PRIMLAB1]"
      say ""
      say "ACTUAL OUTPUT:"
      say "nM> primlab1"
      primlab1
    pipe off
  endif
endmacro

procedure processMessage m:msg
  if msg.name eqs "MAIN" then
    assert/text="^reg.main.name: Tests for PRIMLAB1" msg.data eqss "PASS"
    pipe stop
  else
    say "^reg.main.name: Unhandled message name: ^msg.name from fid: ^msg.fid data: ^msg.data"
  endif
return
